Module java.base
Package java.lang

## Class NoSuchFieldError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.IncompatibleClassChangeError
        - - java.lang.NoSuchFieldError

All Implemented Interfaces:
  `Serializable`

    public class NoSuchFieldError
    extends IncompatibleClassChangeError

Thrown if an application tries to access or modify a specified field of an object, and that object no longer has that field.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Since:
  1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoSuchFieldError()` Constructs a `NoSuchFieldError` with no detail message.
`NoSuchFieldError​(String s)` Constructs a `NoSuchFieldError` with the specified detail message.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchFieldError

    public NoSuchFieldError()

Constructs a `NoSuchFieldError` with no detail message.

#### NoSuchFieldError

    public NoSuchFieldError​(String s)

Constructs a `NoSuchFieldError` with the specified detail message.

Parameters:
  `s` - the detail message.